Bug 433348 - 3.42: Add Reopened keyword when bug is closed and then reopened
3.42: Add Reopened keyword when bug is closed and then reopened
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.2
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-18 14:59 EST by David Lawrence
Modified: 2013-06-23 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 11:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add reopened keyword when a closed bug is reopened. (763 bytes, patch)
2008-02-18 15:22 EST, David Lawrence
nelhawar: review-
dkl: review? (tfu)
Details | Diff
Patch to add reopened keyword when a closed bug is reopened (v2) (761 bytes, patch)
2008-02-21 11:15 EST, David Lawrence
nelhawar: review+
Details | Diff

  None (edit)
Description David Lawrence 2008-02-18 14:59:29 EST
When a bug is closed and then reopened, the bug will go into the ASSIGNED status
and also the keyword Reopened should be added.
Comment 1 David Lawrence 2008-02-18 15:22:42 EST
Created attachment 295203 [details]
Patch to add reopened keyword when a closed bug is reopened.
Comment 2 David Lawrence 2008-02-18 15:24:40 EST
Worked 1 hour.
Comment 3 Noura El hawary 2008-02-21 00:32:26 EST
Comment on attachment 295203 [details]
Patch to add reopened keyword when a closed bug is reopened.

Hi Dave ,,

The patch looks good except for one thing:

in the line:

$self->modify_keywords(['Reopened'], 'add'); 

The keywords should be passed to modify_keywords as string, not an array ref ,
so it should be 

$self->modify_keywords('Reopened', 'add'); 

it gets then split up at _check_keywords and returned as an array ref.

Noura
Comment 4 David Lawrence 2008-02-21 11:15:59 EST
Created attachment 295529 [details]
Patch to add reopened keyword when a closed bug is reopened (v2)

Thanks Noura. I have attached a new version with the fix included.
Comment 5 Noura El hawary 2008-02-21 11:19:16 EST
Comment on attachment 295529 [details]
Patch to add reopened keyword when a closed bug is reopened (v2)

patch looks good to me. I tested it earlier and was all good.

Noura
Comment 6 David Lawrence 2008-07-17 11:15:58 EDT
Verified this still works with latest UI changes.

Note You need to log in before you can comment on or make changes to this bug.